Bug 479402 - Kenel reports Badness at lib/list_debug.c while running fsstress on ext4 filesytem in Fedora 10-ppc
Kenel reports Badness at lib/list_debug.c while running fsstress on ext4 file...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
ppc64 All
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 07:11 EST by IBM Bug Proxy
Modified: 2009-12-18 02:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:33:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2009-01-09 07:11:21 EST
=Comment: #0=================================================
Pavan Naregundi <pavan.naregundi@in.ibm.com> - 
Below is the Call Trace produced while running fsstress on EXT4(fdisk created) file system on
Fedora-10 on power 5 architecture. 

===================
Nov 27 19:10:21 llm66 kernel: ------------[ cut here ]------------
Nov 27 19:10:21 llm66 kernel: Badness at lib/list_debug.c:26
Nov 27 19:10:21 llm66 kernel: NIP: c00000000024018c LR: d00000000053313c CTR: c000000000240180
Nov 27 19:10:21 llm66 kernel: REGS: c00000000b60a870 TRAP: 0700   Not tainted  (2.6.27.5-117.fc10.ppc64)
Nov 27 19:10:21 llm66 kernel: MSR: 8000000000029032 <EE,ME,IR,DR>  CR: 24002484  XER: 20000000
Nov 27 19:10:21 llm66 kernel: TASK = c00000000207b520[28261] 'tiotest' THREAD: c00000000b608000 CPU: 1
Nov 27 19:10:21 llm66 kernel: GPR00: 0000000000200200 c00000000b60aaf0 c0000000008a07b0
c0000000171d3f80 
Nov 27 19:10:21 llm66 kernel: GPR04: c00000001ab87378 c000000004445de0 0000000000000002
c00000001fcbe028 
Nov 27 19:10:21 llm66 kernel: GPR08: 000000000000001a c00000001ab87360 000000000000001a
c000000000240180 
Nov 27 19:10:21 llm66 kernel: GPR12: d00000000053db50 c0000000008d7600 0000000000008000
fffffffffffff000 
Nov 27 19:10:21 llm66 kernel: GPR16: 00000000000003bb 0000000000000000 00000000000003bb
00000000000003bb 
Nov 27 19:10:21 llm66 kernel: GPR20: c00000001a1b4d80 c00000001fcbdd80 c00000000b60ad28
c00000001d383228 
Nov 27 19:10:21 llm66 kernel: GPR24: c00000000b60ad00 0000000000000000 c00000001fcbdcc0
0000000000000000 
Nov 27 19:10:21 llm66 kernel: GPR28: c00000001abc3c00 c000000004115d20 d000000000563040
c0000000171d3f70 
Nov 27 19:10:21 llm66 kernel: NIP [c00000000024018c] .__list_add+0xc/0x34
Nov 27 19:10:21 llm66 kernel: LR [d00000000053313c] .ext4_mb_new_inode_pa+0x2b8/0x37c [ext4]
Nov 27 19:10:21 llm66 kernel: Call Trace:
Nov 27 19:10:21 llm66 kernel: [c00000000b60aaf0] [d000000000533060]
.ext4_mb_new_inode_pa+0x1dc/0x37c [ext4] (unreliable)
Nov 27 19:10:21 llm66 kernel: [c00000000b60ab90] [d0000000005371c4] .ext4_mb_new_blocks+0x248/0x970
[ext4]
Nov 27 19:10:21 llm66 kernel: [c00000000b60ac90] [d00000000052f75c] .ext4_ext_get_blocks+0xcd4/0xf30
[ext4]
Nov 27 19:10:21 llm66 kernel: [c00000000b60ae20] [d00000000051b1c0]
.ext4_get_blocks_wrap+0x144/0x2bc [ext4]
Nov 27 19:10:21 llm66 kernel: [c00000000b60aef0] [d00000000051b668]
.ext4_da_get_block_write+0x70/0x18c [ext4]
Nov 27 19:10:21 llm66 kernel: [c00000000b60af90] [d0000000005195a8] .mpage_da_map_blocks+0xbc/0x5b0
[ext4]
Nov 27 19:10:21 llm66 kernel: [c00000000b60b170] [d000000000519e88] .ext4_da_writepages+0x244/0x3ac
[ext4]
Nov 27 19:10:21 llm66 kernel: [c00000000b60b320] [c000000000105698] .do_writepages+0x5c/0x94
Nov 27 19:10:21 llm66 kernel: [c00000000b60b3a0] [c000000000166794]
.__writeback_single_inode+0x1dc/0x3c4
Nov 27 19:10:21 llm66 kernel: [c00000000b60b4a0] [c000000000166f48] .generic_sync_sb_inodes+0x290/0x40c
Nov 27 19:10:21 llm66 kernel: [c00000000b60b580] [c000000000167538] .writeback_inodes+0xfc/0x1a8
Nov 27 19:10:21 llm66 kernel: [c00000000b60b630] [c0000000001061c0]
.balance_dirty_pages_ratelimited_nr+0x1ac/0x3f8
Nov 27 19:10:21 llm66 kernel: [c00000000b60b780] [c0000000000fcd30]
.generic_file_buffered_write+0x25c/0x738
Nov 27 19:10:21 llm66 kernel: [c00000000b60b8d0] [c0000000000fd7fc]
.__generic_file_aio_write_nolock+0x380/0x3e4
Nov 27 19:10:21 llm66 kernel: [c00000000b60b9d0] [c0000000000fe210] .generic_file_aio_write+0x88/0x120
Nov 27 19:10:21 llm66 kernel: [c00000000b60ba90] [d00000000051364c] .ext4_file_write+0xe4/0x19c [ext4]
Nov 27 19:10:21 llm66 kernel: [c00000000b60bb40] [c00000000013c260] .do_sync_write+0xcc/0x130
Nov 27 19:10:21 llm66 kernel: [c00000000b60bce0] [c00000000013ceb0] .vfs_write+0xd0/0x1bc
Nov 27 19:10:21 llm66 kernel: [c00000000b60bd80] [c00000000013d09c] .sys_write+0x54/0x9c
Nov 27 19:10:21 llm66 kernel: [c00000000b60be30] [c000000000008770] syscall_exit+0x0/0x40
Nov 27 19:10:21 llm66 kernel: Instruction dump:
Nov 27 19:10:21 llm66 kernel: 38bf0018 48000021 60000000 38210090 e8010010 eba1ffe8 7c0803a6 ebe1fff8 
Nov 27 19:10:21 llm66 kernel: 4e800020 e8050008 7fa02000 41be0008 <0fe00000> e8040000 7fa02800 41be0008 
Nov 27 19:10:24 llm66 kernel: ------------[ cut here ]------------
Nov 27 19:10:24 llm66 kernel: Badness at lib/list_debug.c:51
Nov 27 19:10:24 llm66 kernel: NIP: c0000000002401d8 LR: d00000000053761c CTR: c0000000002401b4
Nov 27 19:10:24 llm66 kernel: REGS: c0000000086ca910 TRAP: 0700   Tainted: G        W 
(2.6.27.5-117.fc10.ppc64)
Nov 27 19:10:24 llm66 kernel: MSR: 8000000000029032 <EE,ME,IR,DR>  CR: 24002488  XER: 20000000
Nov 27 19:10:24 llm66 kernel: TASK = c000000010a99a90[28266] 'tiotest' THREAD: c0000000086c8000 CPU: 0
Nov 27 19:10:24 llm66 kernel: GPR00: c000000004445d10 c0000000086cab90 c0000000008a07b0
c0000000171d3f80 
Nov 27 19:10:24 llm66 kernel: GPR04: 00000000000d0fff c0000000086cac00 0000000000000000
c00000001fe86000 
Nov 27 19:10:24 llm66 kernel: GPR08: 0000000000000002 c00000001ab87360 c000000004445de0
c000000004445de0 
Nov 27 19:10:24 llm66 kernel: GPR12: d00000000053f5f0 c0000000008d7400 0000000000008000
fffffffffffff000 
Nov 27 19:10:24 llm66 kernel: GPR16: 00000000000001b1 0000000000000000 00000000000001b1
00000000000001b1 
Nov 27 19:10:24 llm66 kernel: GPR20: c00000001aaef900 00000000000d17bb c0000000086cad28
c00000001d1c4e70 
Nov 27 19:10:24 llm66 kernel: GPR24: c0000000086cad00 0000000000000000 c00000001abc3c00
c00000001abc3c00 
Nov 27 19:10:24 llm66 kernel: GPR28: c00000001d7aad20 c0000000171d3f70 d000000000563040
0000000000000000 
Nov 27 19:10:24 llm66 kernel: NIP [c0000000002401d8] .list_del+0x24/0x4c
Nov 27 19:10:24 llm66 kernel: LR [d00000000053761c] .ext4_mb_new_blocks+0x6a0/0x970 [ext4]
Nov 27 19:10:24 llm66 kernel: Call Trace:
Nov 27 19:10:24 llm66 kernel: [c0000000086cab90] [d000000000537534] .ext4_mb_new_blocks+0x5b8/0x970
[ext4] (unreliable)
Nov 27 19:10:24 llm66 kernel: [c0000000086cac90] [d00000000052f75c] .ext4_ext_get_blocks+0xcd4/0xf30
[ext4]
Nov 27 19:10:24 llm66 kernel: [c0000000086cae20] [d00000000051b1c0]
.ext4_get_blocks_wrap+0x144/0x2bc [ext4]
Nov 27 19:10:24 llm66 kernel: [c0000000086caef0] [d00000000051b668]
.ext4_da_get_block_write+0x70/0x18c [ext4]
Nov 27 19:10:24 llm66 kernel: [c0000000086caf90] [d0000000005195a8] .mpage_da_map_blocks+0xbc/0x5b0
[ext4]
Nov 27 19:10:24 llm66 kernel: [c0000000086cb170] [d000000000519e88] .ext4_da_writepages+0x244/0x3ac
[ext4]
Nov 27 19:10:24 llm66 kernel: [c0000000086cb320] [c000000000105698] .do_writepages+0x5c/0x94
Nov 27 19:10:24 llm66 kernel: [c0000000086cb3a0] [c000000000166794]
.__writeback_single_inode+0x1dc/0x3c4
Nov 27 19:10:24 llm66 kernel: [c0000000086cb4a0] [c000000000166f48] .generic_sync_sb_inodes+0x290/0x40c
Nov 27 19:10:24 llm66 kernel: [c0000000086cb580] [c000000000167538] .writeback_inodes+0xfc/0x1a8
Nov 27 19:10:24 llm66 kernel: [c0000000086cb630] [c0000000001061c0]
.balance_dirty_pages_ratelimited_nr+0x1ac/0x3f8
Nov 27 19:10:24 llm66 kernel: [c0000000086cb780] [c0000000000fcd30]
.generic_file_buffered_write+0x25c/0x738
Nov 27 19:10:24 llm66 kernel: [c0000000086cb8d0] [c0000000000fd7fc]
.__generic_file_aio_write_nolock+0x380/0x3e4
Nov 27 19:10:24 llm66 kernel: [c0000000086cb9d0] [c0000000000fe210] .generic_file_aio_write+0x88/0x120
Nov 27 19:10:24 llm66 kernel: [c0000000086cba90] [d00000000051364c] .ext4_file_write+0xe4/0x19c [ext4]
Nov 27 19:10:24 llm66 kernel: --- Exception: 2b16b000 at 0x0
Nov 27 19:10:24 llm66 kernel:    LR = 0xc000000010a99a90
Nov 27 19:10:24 llm66 kernel: [c0000000086cbb40] [c00000000013c260] .do_sync_write+0xcc/0x130
(unreliable)
Nov 27 19:10:24 llm66 kernel: [c0000000086cbce0] [c00000000013ceb0] .vfs_write+0xd0/0x1bc
Nov 27 19:10:24 llm66 kernel: [c0000000086cbd80] [c00000000013d09c] .sys_write+0x54/0x9c
Nov 27 19:10:24 llm66 kernel: [c0000000086cbe30] [c000000000008770] syscall_exit+0x0/0x40
Nov 27 19:10:24 llm66 kernel: Instruction dump:
Nov 27 19:10:24 llm66 kernel: f8640000 f8830008 4e800020 e9430008 e80a0000 7fa01800 41be0008 0fe00000 
Nov 27 19:10:24 llm66 kernel: e9630000 e80b0008 7fa01800 41be0008 <0fe00000> 3c000010 f96a0000 3d200020 
Nov 27 19:10:32 llm66 kernel: ------------[ cut here ]------------
Nov 27 19:10:32 llm66 kernel: Badness at lib/list_debug.c:51
Nov 27 19:10:32 llm66 kernel: NIP: c0000000002401d8 LR: d00000000053761c CTR: c0000000002401b4
Nov 27 19:10:34 llm66 kernel: REGS: c000000010156910 TRAP: 0700   Tainted: G        W 
(2.6.27.5-117.fc10.ppc64)
Nov 27 19:10:34 llm66 kernel: MSR: 8000000000029032 <EE,ME,IR,DR>  CR: 24002484  XER: 20000000
Nov 27 19:10:34 llm66 kernel: TASK = c0000000043f3520[28260] 'tiotest' THREAD: c000000010154000 CPU: 0
Nov 27 19:10:34 llm66 kernel: GPR00: 0000000000200200 c000000010156b90 c0000000008a07b0
c000000004445d10 
Nov 27 19:10:34 llm66 kernel: GPR04: 00000000000d1fff c000000010156c00 0000000000000000
c00000001fe86000 
Nov 27 19:10:34 llm66 kernel: GPR08: 0000000000000002 c00000001ab87360 c000000004445900
c000000004445de0 
Nov 27 19:10:34 llm66 kernel: GPR12: d00000000053f5f0 c0000000008d7400 0000000000008000
fffffffffffff000 
Nov 27 19:10:34 llm66 kernel: GPR16: 0000000000000325 0000000000000000 0000000000000325
0000000000000325 
Nov 27 19:10:34 llm66 kernel: GPR20: c00000001aaef840 00000000000d253a c000000010156d28
c00000001d1c43f0 
Nov 27 19:10:34 llm66 kernel: GPR24: c000000010156d00 0000000000000000 c00000001abc3c00
c00000001abc3c00 
Nov 27 19:10:34 llm66 kernel: GPR28: c00000001d7aa9d8 c000000004445d00 d000000000563040
0000000000000000 
Nov 27 19:10:34 llm66 kernel: NIP [c0000000002401d8] .list_del+0x24/0x4c
Nov 27 19:10:34 llm66 kernel: LR [d00000000053761c] .ext4_mb_new_blocks+0x6a0/0x970 [ext4]
Nov 27 19:10:34 llm66 kernel: Call Trace:
Nov 27 19:10:34 llm66 kernel: [c000000010156b90] [d000000000537534] .ext4_mb_new_blocks+0x5b8/0x970
[ext4] (unreliable)
Nov 27 19:10:34 llm66 kernel: [c000000010156c90] [d00000000052f75c] .ext4_ext_get_blocks+0xcd4/0xf30
[ext4]
Nov 27 19:10:34 llm66 kernel: [c000000010156e20] [d00000000051b1c0]
.ext4_get_blocks_wrap+0x144/0x2bc [ext4]
Nov 27 19:10:34 llm66 kernel: [c000000010156ef0] [d00000000051b668]
.ext4_da_get_block_write+0x70/0x18c [ext4]
Nov 27 19:10:34 llm66 kernel: [c000000010156f90] [d0000000005195a8] .mpage_da_map_blocks+0xbc/0x5b0
[ext4]
Nov 27 19:10:34 llm66 kernel: [c000000010157170] [d000000000519e88] .ext4_da_writepages+0x244/0x3ac
[ext4]
Nov 27 19:10:34 llm66 kernel: [c000000010157320] [c000000000105698] .do_writepages+0x5c/0x94
Nov 27 19:10:34 llm66 kernel: [c0000000101573a0] [c000000000166794]
.__writeback_single_inode+0x1dc/0x3c4
Nov 27 19:10:34 llm66 kernel: [c0000000101574a0] [c000000000166f48] .generic_sync_sb_inodes+0x290/0x40c
Nov 27 19:10:34 llm66 kernel: [c000000010157580] [c000000000167538] .writeback_inodes+0xfc/0x1a8
Nov 27 19:10:34 llm66 kernel: [c000000010157630] [c0000000001061c0]
.balance_dirty_pages_ratelimited_nr+0x1ac/0x3f8
Nov 27 19:10:34 llm66 kernel: [c000000010157780] [c0000000000fcd30]
.generic_file_buffered_write+0x25c/0x738
Nov 27 19:10:34 llm66 kernel: [c0000000101578d0] [c0000000000fd7fc]
.__generic_file_aio_write_nolock+0x380/0x3e4
Nov 27 19:10:34 llm66 kernel: [c0000000101579d0] [c0000000000fe210] .generic_file_aio_write+0x88/0x120
Nov 27 19:10:34 llm66 kernel: [c000000010157a90] [d00000000051364c] .ext4_file_write+0xe4/0x19c [ext4]
Nov 27 19:10:34 llm66 kernel: [c000000010157b40] [c00000000013c260] .do_sync_write+0xcc/0x130
Nov 27 19:10:34 llm66 kernel: [c000000010157ce0] [c00000000013ceb0] .vfs_write+0xd0/0x1bc
Nov 27 19:10:34 llm66 kernel: [c000000010157d80] [c00000000013d09c] .sys_write+0x54/0x9c
Nov 27 19:10:34 llm66 kernel: [c000000010157e30] [c000000000008770] syscall_exit+0x0/0x40
Nov 27 19:10:34 llm66 kernel: Instruction dump:
Nov 27 19:10:34 llm66 kernel: f8640000 f8830008 4e800020 e9430008 e80a0000 7fa01800 41be0008 0fe00000 
Nov 27 19:10:34 llm66 kernel: e9630000 e80b0008 7fa01800 41be0008 <0fe00000> 3c000010 f96a0000 3d200020 
Nov 27 19:26:27 llm66 kernel: ------------[ cut here ]------------
===========================

#uname -a
Linux llm66.in.ibm.com 2.6.27.5-117.fc10.ppc64 #1 SMP Tue Nov 18 11:46:31 EST 2008 ppc64 ppc64 ppc64
GNU/Linux

Machine: P510-LPAR1
CPU Type: Power 5
=Comment: #4=================================================
Pavan Naregundi <pavan.naregundi@in.ibm.com> - 
Tested with kernel 2.6.28-rc8-ext4 and error did not occur. Seems to be fixed in latest kernel.
Comment 1 IBM Bug Proxy 2009-02-26 08:01:50 EST
Red Hat is there any update on this bug
Thanks
Comment 2 Chuck Ebbert 2009-02-27 18:16:09 EST
Can you retest with the latest kernel in the updates-testing repository?
[kernel-2.6.27.19-78.2.30.fc9]

There have been around 40 ext4 bug fixes backported to that kernel.
Comment 3 IBM Bug Proxy 2009-03-09 06:30:56 EDT
(In reply to comment #14)
> Can you retest with the latest kernel in the updates-testing repository?
> [kernel-2.6.27.19-78.2.30.fc9]
>
> There have been around 40 ext4 bug fixes backported to that kernel.
>

Could not boot with kernel-2.6.27.19-78.2.30.fc9. Seems like a known issue reported earlier in https://bugzilla.redhat.com/show_bug.cgi?id=466949. Hence could not test with the above mentioned kernel version.

Thanks
Pavan
Comment 4 IBM Bug Proxy 2009-03-19 04:31:14 EDT
------- Comment From sharyath@in.ibm.com 2009-03-19 04:26 EDT-------
Red hat
Is there a way to verify if the issue is fixed in the latest release. When we try to boot into above mentioned kernel, we are hitting bug https://bugzilla.redhat.com/show_bug.cgi?id=466949
Please let us know how this can be taken further
Thanks
Sharyathi Nagesh
Comment 5 IBM Bug Proxy 2009-07-06 13:01:22 EDT
------- Comment From sharyath@in.ibm.com 2009-07-06 12:59 EDT-------
Closing this issue as per the above comments
Thanks
Comment 6 Bug Zapper 2009-11-18 04:44:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:33:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.